Issue 2148

Summary: Allow seamless logging back in if attempting to update issue when login has timed out
Product: Infrastructure Reporter: jur <jens-uwe>
Component: BugzillaAssignee: Unknown <non-migrated>
Status: CLOSED FIXED QA Contact: issues@www <issues>
Severity: Trivial    
Priority: P3 CC: issues
Version: currentKeywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 3163    

Description jur 2001-11-07 21:48:59 UTC
this is an issue, which makes using issuezilla much less comfortable then it
could be. Instead of getting the login screen you get only an error message.

to reproduce: 
1. make sure, that you are not logged into issuezilla (not by hand, not by cookie).
2. go directly to a bug, (eg.
http://www.openoffice.org/issues/show_bug.cgi?id=1940).
3. try to change something (eg. CC yourself)
4. press commit.

you now get an error message that you need to be logged in when you want to
change something. 
while this is correct, you should not get the error message but the login screen
(perhaps with a little text which states that you have to login to continue),
which allows you to login. Once you logged in, your changes should be commited.

currently you have to open a second browser window, find the well hidden login,
log yourself in, go back to the first browser window and commit your changes.
This is much more uncomfortable then it should be.

Since this feature exists on bugzilla, which issuezilla is based on, this should
not be a real problem to implement in issuezilla too.
Comment 1 Unknown 2001-11-07 23:34:35 UTC
Hi,

This is being worked on internally as pcn5345 for a future version of
SourceCast. I will post notes on its progress here.

Thank you
Kat
Comment 2 Unknown 2001-11-17 06:19:46 UTC
accepting issues
Comment 3 Unknown 2002-01-15 18:46:47 UTC
Reassigning all of kat's open issues to support so that I can go through them.
Comment 4 Unknown 2002-01-15 20:22:19 UTC
New issue number: PCN7559, waiting in engineering.
Comment 5 Unknown 2002-01-15 22:28:46 UTC
Admin note: internal issue number changed (now PCN6139).
Comment 6 Unknown 2002-03-05 19:18:18 UTC
Our engineers are planning to include this in SC1.3.
Comment 7 Unknown 2002-04-23 13:34:25 UTC
need to add to this: 

I cannot use cvs anymore!  I get a 'connection refused'  both 
on charon and on beryllium.

need to raise this to P1

armin
Comment 8 Unknown 2002-04-23 17:36:44 UTC
Armin, this is an IssueZilla enhancement.  Could you please make a new
issue for your cvs problems?  I am very confused about the context
here....
Comment 9 Frank Schönheit 2002-05-14 07:30:44 UTC
I'd be interested in the time frame for SC1.3 :)
My point is, the current behaviour is really annoying. Together with a
browser which tends to forget form data when using the back button
(okay, that's a problem of my browser, but it's not an uncommon one
:), this already costed some dentition-shaped pieces of my desk.
The more as I see in Bugzilla (the bug tracking system Issuezilla is
based on, AFAIK) that a better solution is possible ...
Comment 10 Unknown 2002-05-17 20:35:59 UTC
Administrative Change; SC1.3 has been renamed SC2.0.
Comment 11 Unknown 2002-08-21 19:01:32 UTC
please close with status resolved/later as it is resolved in the 2.0
release.
Comment 12 stx123 2002-08-21 22:51:59 UTC
resolved/later...
Comment 13 diane 2002-09-24 02:34:40 UTC
*** Issue 7852 has been marked as a duplicate of this issue. ***
Comment 14 diane 2003-05-04 16:43:51 UTC
*** Issue 14065 has been marked as a duplicate of this issue. ***
Comment 15 rtrout 2003-08-18 02:08:23 UTC
Can anyone say when 2.0 release will be in place? This is a pain in
the *ss, and simply illogical. For those poor newbies trying to
contribute to OOo testing and reporting, it drives them nuts.
Comment 16 lsuarezpotts 2003-08-18 08:51:36 UTC
2.6 will be in place later this year. This is IT, so deadlines mean little ;/
louis
Comment 17 Unknown 2007-03-07 19:24:59 UTC
Reopening the case to verify the fix on the site.

Regards,
Karishma
Support Operations
Comment 18 Unknown 2007-03-07 19:28:32 UTC
This issue was fixed in CEE 2.0 and no longer exists on the site. Resolving the
issue as fixed.

Regards,
Karishma
Support Operations
Comment 19 ace_dent 2008-05-17 21:43:01 UTC
The Issue you raised has been marked as 'Resolved' and not updated within the
last 1 year+. I am therefore setting this issue to 'Verified' as the first step
towards Closing it. If you feel this is incorrect, please re-open the issue and
add any comments.

Many thanks,
Andrew
 
Cleaning-up and Closing old Issues
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 20 ace_dent 2008-05-17 23:47:50 UTC
As per previous posting: Verified -> Closed.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew